<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Legalitas</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h4 class="h4">Legalitas STEI Tazkia, IAI Tazkia, Prodi</h4>
        <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
        <!--            <div class="btn-group me-2">-->
        <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
        <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
        <!--            </div>-->
        <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
        <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
        <!--                This week-->
        <!--            </button>-->
        <!--        </div>-->
    </div>

    <div class="row">
        <div class="col-md-12" style="margin-bottom: 20px;">
            <div class="card">
                <div class="card-header" style="text-align: right;">
                    <a th:href="@{/legalitas/add}" class="btn btn-info btn-sm"><i class="fa fa-plus-circle"></i> Tambah Legalitas</a>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12" th:if="${success != null}">
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di simpan.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                        <div class="col-md-12" th:if="${delete != null}">
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di hapus.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-7"></div>
                        <div class="col-md-5">
                            <form method="get">
                                <div class="form-group">
                                    <div class="input-group mb-3">
                                        <input type="text" name="search" class="form-control" placeholder="Cari nama dokumen" aria-label="">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="submit">Search</button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Nama Dokumen</th>
                                        <th>Nomor Dokumen</th>
                                        <th>Tanggal Penetapan</th>
                                        <th>Tanggal Berlaku Mulai</th>
                                        <th>Tanggal Berlaku Berakhir</th>
                                        <th>Yang menandatangani</th>
                                        <th>Jabatan</th>
                                        <th>Lembaga</th>
                                        <th colspan="3"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${list}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.namaDokumen}"></td>
                                        <td th:text="${data.nomorDokumen}"></td>
                                        <td th:text="${#temporals.format(data.tanggalPenetapan, 'dd MMMM yyyy')}"></td>
                                        <td th:text="${#temporals.format(data.tanggalMulaiBerlaku, 'dd MMMM yyyy')}"></td>
                                        <td th:text="${#temporals.format(data.tanggalBerakhirBerlaku, 'dd MMMM yyyy')}"></td>
                                        <td th:text="${data.ttd}"></td>
                                        <td th:text="${data.jabatan}"></td>
                                        <td th:text="${data.lembaga}"></td>
                                        <td><a th:href="@{/view-doc/{legalitas}(legalitas = ${data.id})}" target="_blank" class="btn btn-primary btn-sm"><i class="fa fa-eye"></i></a></td>
                                        <td><a th:href="@{/legalitas/update/{legalitas}(legalitas =${data.id})}" class="btn btn-warning btn-sm"><i class="fa fa-edit"></i></a></td>
                                        <td><a th:href="@{/legalitas/delete/{legalitas}(legalitas =${data.id})}" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-center" sd:pagination="full">
                            <li class="page-item disabled">
                                <a class="page-link" href="#" tabindex="-1">Previous</a>
                            </li>
                            <li class="page-item"><a class="page-link" href="#">1</a></li>
                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                            <li class="page-item">
                                <a class="page-link" href="#">Next</a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</main>
</body>
</html>
